oracle.kv

## Enum Value.Format

- java.lang.Object
- - java.lang.Enum<Value.Format>
  - - oracle.kv.Value.Format

- All Implemented Interfaces:
    Serializable, Comparable<Value.Format>
  Enclosing class:
    Value

      public static enum Value.Format
      extends Enum<Value.Format>

  Identifies the format of a value.
  Since:
    2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVRO` The byte array format is Avro binary data along with an internal, embedded schema ID.
    `NONE` The byte array format is not known to the store; the format is known only to the application.
    `TABLE` The byte array format that is used by table rows.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Value.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Value.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Value.Format NONE

      The byte array format is not known to the store; the format is known only to the application. Values of format `NONE` are created with `Value.createValue(byte[])`. All values created using NoSQL DB version 1.x have format `NONE`.

    - #### AVRO

          public static final Value.Format AVRO

      The byte array format is Avro binary data along with an internal, embedded schema ID. Values of format `AVRO` are created and decomposed using an `AvroBinding`.

    - #### TABLE

          public static final Value.Format TABLE

      The byte array format that is used by table rows. Values with this format are never created by applications but non-table applications may accidentally see a table row. These Values cannot be deserialized by non-table applications.

  - ### Method Detail

    - #### values

          public static Value.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Value.Format c : Value.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Value.Format valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.